Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
01.12.2020, 10:01:13

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 24840
  • Letzte: Foxinity
Statistiken
  • Beiträge insgesamt: 697752
  • Themen insgesamt: 56462
  • Heute online: 616
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema:  HP Laserjet 1020 lässt sich nicht installieren!  (Gelesen 397 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

HP Laserjet 1020 lässt sich nicht installieren!
« am: 21.10.2020, 13:55:42 »
Cinnamon 4.6.7 Distro: Linux Mint 20 Ulyana

Der Drucker lässt sich nicht installieren :-[

Sonst ging das immer schön mit sh hplip-3.20.9.run , aktuelle Version.


INSTALLATION MODE
-----------------
Automatic mode will install the full HPLIP solution with the most common options.
Custom mode allows you to choose installation options to fit specific requirements.

Please choose the installation mode (a=automatic*, c=custom, q=quit) : c


INTRODUCTION
------------
This installer will install HPLIP version 3.20.9 on your computer.
Please close any running package management systems now (YaST, Adept, Synaptic, Up2date, etc).


DISTRO/OS CONFIRMATION
----------------------
Distro appears to be Linux Mint 20.

Is "Linux Mint 20" your correct distro/OS and version (y=yes*, n=no, q=quit) ? y


DRIVER OPTIONS
--------------
Would you like to install Custom Discrete Drivers or Class Drivers ( 'd'= Discrete Drivers*,'c'= Class Drivers,'q'= Quit)?   : c

Would you like to Create package or Install Class Drivers ('p'=create package, 'i'= install*) : i

Initializing. Please wait...


ENTER USER PASSWORD
-------------------
Please enter the sudoer (sven)'s password:
 

RUNNING PRE-INSTALL COMMANDS
----------------------------
OK


RUNNING HPLIP LIBS REMOVE COMMANDS
----------------------------------
sudo apt-get remove libhpmud0 libsane-hpaio

da bleibt er hängen :-(

Jemand eine Idee ?


Re: HP Laserjet 1020 lässt sich nicht installieren!
« Antwort #1 am: 21.10.2020, 14:03:38 »
Hi :)
warum willst du die neu installieren... die ist bei lm 20 schon dabei

Re: HP Laserjet 1020 lässt sich nicht installieren!
« Antwort #2 am: 21.10.2020, 16:40:38 »

Re: HP Laserjet 1020 lässt sich nicht installieren!
« Antwort #3 am: 21.10.2020, 17:15:37 »
@Porco
vllt. hilft ja erstmal die Benutzeroberfläche (GUI) für "hplip" - über das Terminal zu installieren mit
apt install hplip-guinatürlich lässt sich die GUI auch mit "Synaptic" installieren.

"hplip" selbst ist bei LM20 Cinnamon standardmäßig installiert (hier aktuell die Version 3.20.3) - nur die "GUI" leider nicht.


Re: HP Laserjet 1020 lässt sich nicht installieren!
« Antwort #4 am: 21.10.2020, 17:39:38 »
vllt. hilft ja erstmal die Benutzeroberfläche (GUI) für "hplip" - über das Terminal zu installieren mit
Guten Tag,
die GUI braucht man nicht und die neueste HPLIP 3.20.9 braucht man nur wenn man eine sehr aktuellen Drucker hat. Das mit LM 20 vorinstallierte HPLIP 3.20.3 reicht, da dein Drucker als min. Treiber den 2.17.10 braucht. https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index
Bitte schau dir mal meine Beschreibung an.
Wer auf die GUI nicht verzichten will kann sie später noch nachinstallieren. https://www.linuxmintusers.de/index.php?topic=64158.msg842574#msg842574
Gruß
Wolfgang

 
« Letzte Änderung: 21.10.2020, 18:01:29 von Wolfgang58 »

Re: HP Laserjet 1020 lässt sich nicht installieren!
« Antwort #5 am: 23.10.2020, 17:59:08 »
Alles deinstalliert und HLIP neu angestossen. Läuft :)

Re: HP Laserjet 1020 lässt sich nicht installieren!
« Antwort #6 am: 23.10.2020, 18:42:37 »
Moin,
das freut mich, dass du wieder drucken kannst...
Ich kann das bestätigen, wenn die neuste HPLIP benötigt wird muss alles von HP deinstalliert werden (Synaptic) danach lässt sich die z.Zt. aktuelle HPLIP 3.20.9 installieren.
Unbedingt vor der Installation einen Sicherungspunkt mit Timeshift anlegen.
Gruß
Wolfgang

Re: HP Laserjet 1020 lässt sich nicht installieren!
« Antwort #7 am: 23.10.2020, 19:04:51 »
HPLIP 3.20.9 geht nicht.
Geht man eine Version runter, also auf 3.20.6, geht es wunderbar.

Die mit Mint mitgelieferten HPLIP-Versonen sind meistens zu alt und unterstützen daher kein Fax.

Die GUI, also HLIP-GUI ist auf jeden Fall ratsam, weil man dort drin viele Druck- und Fax-Optionen erhält.

Re: HP Laserjet 1020 lässt sich nicht installieren!
« Antwort #8 am: 23.10.2020, 19:22:22 »
Geht man eine Version runter, also auf 3.20.6, geht es wunderbar.
Das kann ich nicht bestätigen, unter LM20 ließ sich die 3.20.6 nicht installieren, die 3.20.9 ließ sich ohne Probleme installieren. Siehe hier...
Die mit LM20 vorinstallierte Version 3.20.3 reicht meisten aus, es sei den man hat eine hochaktuellen Drucker.
Auf die GUI kann man gut und gerne verzichten mit dem Webinterface lässt sich alles einstellen.
Gruß
Wolfgang
« Letzte Änderung: 23.10.2020, 19:27:09 von Wolfgang58 »

Re: HP Laserjet 1020 lässt sich nicht installieren!
« Antwort #9 am: 24.10.2020, 14:16:00 »
Sorry, ich habe die 20 bei Mint übersehen.
Also, es funktioniert folgendermaßen:
Die 3.20.9 ist für LM 20,
aber die 3.20.6 ist für LM 19.3.

 

1. Advent
1. Advent